petsc-3.4.2 2013-07-02

# MatInvertBlockDiagonal

Inverts the block diagonal entries.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatInvertBlockDiagonal(Mat mat,const PetscScalar **values)

Collective on Mat

### Input Parameters

mat -the matrix

### Output Parameters

values -the block inverses in column major order (FORTRAN-like)

### Note

This routine is not available from Fortran.

Level:advanced
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages